LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   php with gd support - help anyone ? (http://www.linuxquestions.org/questions/fedora-35/php-with-gd-support-help-anyone-503310/)

cdm33 11-20-2006 11:22 AM

php with gd support - help anyone ?
 
So the question is:

I've built my box (lamp - linux, apache, mysql and php)with rpm's (packages) and with php I did not configure with "gd" libraries. I've alreay got a data base server that is in production. I'm going to use another application that will use the same database server - just use another database. But the problem is that this application requires the "gd" graphics libraries.

How do I install php with gd when with the original install I just did php with apache and mysql ?

Any help would be cool.

Thanks,
Chris

theNbomr 11-20-2006 11:37 AM

If your rpm-based PHP does not include the GD libs, you will probably have to install PHP from a source distribution. There you will need to enable the GD support, using configure. You may need to install the GD library, first. You should note that your application may require a 'special' version of the library, which supports .GIF formatted file creation. This was dropped from the library at some point, due to copyright and licensing issues.

--- rod.

cdm33 11-20-2006 11:56 AM

Rod,

Thanks for the quick response and your time. One more question - (i hope):

How do I know if the php rpm came with gd support and if it did how do i activate it ? (ok 2 questions.)

Thanks again.

theNbomr 11-20-2006 01:14 PM

I assume that if it is there, it is 'active'. If your application fails when it calls functions from the GD library, then you will probably have to install from sources, or find an RPM that has it. Perhaps the download source of the RPM has some information.

--- rod.

cdm33 11-20-2006 01:48 PM

Ok - I'll try that. Thanks .


All times are GMT -5. The time now is 12:59 AM.